import cv2
import numpy
from blc_network import BlcArrayTCP4Server

vid = cv2.VideoCapture(0)
height = int(vid.get(cv2.CAP_PROP_FRAME_HEIGHT))
width = int(vid.get(cv2.CAP_PROP_FRAME_WIDTH))
deep=3 # 1 if it is in gray

print(height,"x", width)

server=BlcArrayTCP4Server("31440", 'UIN8', 'RGB3', [height, width, 3])
print("Wait client")
server.wait_connection()

#We create an numpy array (equivalent to cv:Mat in C++ ) associated with the data of server
server_array = numpy.ndarray([height, width, 3], dtype=numpy.uint8, buffer=server.data, offset=0, strides=None, order='C')

while(True):
    ret, img = vid.read()
     #we copy the pixels of the image to the array of the server (i.e. the buffer: server.data)
    numpy.copyto(server_array, img)
    server.send_data()
    cv2.imshow('server', server_array)
    cv2.waitKey(1)
